1.9

1.9.19 Released

Submitted by LedgerSMB_Team on Sun, 10/30/2022 - 02:52

The LedgerSMB development team is happy to announce yet another new
version of its open source ERP and accounting application.
This release contains the following fixes and improvements:

Changelog for 1.9.19

* Fix UTF-8 character handling calling into old code (#6998)
* Fix regression preventing cross-yearen PNL reporting (#6386)
* Fix invoice and order screens breaking on 'min empty lines' > 1 (#6926)

1.9.18 Released

Submitted by LedgerSMB_Team on Sat, 10/22/2022 - 12:30

The LedgerSMB development team is happy to announce yet another new
version of its open source ERP and accounting application.
This release contains the following fixes and improvements:

Changelog for 1.9.18

* Fix '<< Return' link on the e-mail screen being broken in some cases (#6858)
* Improve query performance by declaring stored functions STABLE (#6872)
* Fix added line being dropped from invoice while deleting another (#6788)

1.9.17 Released

Submitted by LedgerSMB_Team on Wed, 10/12/2022 - 10:39

The LedgerSMB development team is happy to announce yet another new
version of its open source ERP and accounting application.
This release contains the following fixes and improvements:

Changelog for 1.9.17

* Fix HTML-encoding values on (PDF) printed documents (#6861)
* Fix removal of invoice line breaking entire UI interaction (#6807)

For installation instructions and system requirements, see
https://github.com/ledgersmb/LedgerSMB/blob/1.9.17/README.md

Session expired immediately after logging in

Submitted by ehu on Mon, 10/10/2022 - 09:49

When I log in, LedgerSMB 1.8 or higher immediately says my session has expired. What can I do to fix this?

Short answer: add the "--preload-app" flag to the Starman command line.

Long answer: As of LedgerSMB 1.8, session information is stored in an encrypted cookie. To make sure the encryption key is unique for every installation, a new encryption secret is being generated each time LedgerSMB is started. However, Starman (without the "--preload-app" flag) loads the application in each forked worker separately, leading to different encryption secrets in each worker with the indicated behaviour as a result.

1.9.15 Released

Submitted by LedgerSMB_Team on Wed, 08/10/2022 - 13:49

The LedgerSMB development team is excited to announce yet another
new version of its open source ERP and accounting application.
This release contains the following fixes and improvements:

Changelog for 1.9.15
* Fix invoices randomly being incorrectly voided (#2321)
* Fix response status code checks to correctly roll back on error (#6586)
* Fix incorrect template delimiters in 'templates/demo/*.html' (#6659)

1.9.14 Released

Submitted by LedgerSMB_Team on Fri, 04/29/2022 - 12:41

The LedgerSMB development team is happy to announce yet another new
version of its open source ERP and accounting application.
This release contains the following fixes and improvements:

Changelog for 1.9.14

* Fix reconciliation for multiple payments with the same Source (#6526)
* Fix reconciliation for payments with GL corrections (#6533)

For installation instructions and system requirements, see
https://github.com/ledgersmb/LedgerSMB/blob/1.9.14/README.md

1.9.13 Released

Submitted by LedgerSMB_Team on Sat, 04/09/2022 - 08:05

The LedgerSMB development team is happy to announce yet another new
version of its open source ERP and accounting application.
This release contains the following fixes and improvements:

Changelog for 1.9.13

* Fix line descriptions missing on AP transaction prints (#6482)
Requires templates update.
* Support PostgreSQL 14 (#6500)
* Fix saving of vendor invoices (#6507)
* Allow deletion of transactions with shipto address (#6509)

1.9.12 Released

Submitted by LedgerSMB_Team on Sat, 03/26/2022 - 14:33

The LedgerSMB development team is happy to announce yet another new
version of its open source ERP and accounting application.
This release contains the following fixes and improvements:

Changelog for 1.9.12

* Fix CSV export regression since 1.9.8 throwing an error (#6474)
* Remove runtime Javascript dependencies with security issues [CVE] (#6475)
* Fix tax form details reports throwing an error (#6458)